summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index ec64d1550..956892e5f 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -44,6 +44,12 @@ if [[ -n $ADK_NATIVE ]];then
if [[ -n $ADK_PACKAGE_IW ]]; then
NEED_LIBNLDEV="$NEED_LIBNLDEV iw"
fi
+ if [[ -n $ADK_PACKAGE_NFS_UTILS_WITH_KERBEROS ]]; then
+ NEED_LIBKRB5DEV="$NEED_LIBKRB5DEV nfs-utils"
+ fi
+ if [[ -n $ADK_PACKAGE_NFS_UTILS_WITH_TIRPC ]]; then
+ NEED_LIBTIRPCDEV="$NEED_LIBTIRPCDEV nfs-utils"
+ fi
fi
if [[ -n $ADK_PACKAGE_GPSD ]]; then
@@ -137,6 +143,20 @@ if [[ -n $NEED_GETTEXT ]]; then
fi
fi
+if [[ -n $NEED_LIBTIRPCDEV ]];then
+ if ! test -f /usr/include/tirpc/netconfig.h >/dev/null; then
+ echo >&2 You need tirpc headers to build $NEED_LIBTIRPCDEV
+ out=1
+ fi
+fi
+
+if [[ -n $NEED_LIBKRB5DEV ]];then
+ if ! test -f /usr/include/krb5.h >/dev/null; then
+ echo >&2 You need krb5 headers to build $NEED_LIBKRB5DEV
+ out=1
+ fi
+fi
+
if [[ -n $NEED_CURLDEV ]];then
if ! test -f /usr/include/curl/curl.h >/dev/null; then
if ! test -f /usr/local/include/curl/curl.h >/dev/null; then